﻿Class Window1 

    Public Sub New()
        InitializeComponent()
        AddHandler Web1.Navigated, AddressOf Web1_Navigated
    End Sub
    Private Sub Web1_Navigated(ByVal sender As Object, ByVal e As NavigationEventArgs)
        Me.StatusText.Text = "Website encontrado"
        Me.Title = e.Uri.ToString
    End Sub
    Private Sub btnIr_Click(ByVal sender As System.Object, ByVal e As System.Windows.RoutedEventArgs) Handles btnIr.Click
        'Abre o website se a caixa de texto não estiver vazia
        If Not String.IsNullOrEmpty(Me.txtEndereco.Text) Then
            If txtEndereco.Text.Contains("http://") Then
                Me.Web1.Navigate(New Uri(Me.txtEndereco.Text))
            Else
                txtEndereco.Text = "http://" & txtEndereco.Text.Trim
                Me.Web1.Navigate(New Uri(Me.txtEndereco.Text))
            End If
        End If
    End Sub

    Private Sub btnVoltar_Click(ByVal sender As System.Object, ByVal e As System.Windows.RoutedEventArgs) Handles btnVoltar.Click
        'retorna para a pagina anterior
        Me.Web1.GoBack()
    End Sub

    Private Sub btnAvancar_Click(ByVal sender As System.Object, ByVal e As System.Windows.RoutedEventArgs) Handles btnAvancar.Click
        'vai para a próxima página
        Me.Web1.GoForward()
    End Sub

    Private Sub btnAtualizar_Click(ByVal sender As System.Object, ByVal e As System.Windows.RoutedEventArgs) Handles btnAtualizar.Click
        'atualiza a pagina
        Me.Web1.Refresh()
    End Sub

    Private Sub txtEndereco_KeyUp(ByVal sender As Object, ByVal e As System.Windows.Input.KeyEventArgs) Handles txtEndereco.KeyUp
        'permite o usuário abrir um website
        'apenas pressionando a tecla enter 
        'apos digitar a URL no TextBox
        If e.Key = Key.Enter Then
            btnIr.RaiseEvent(New System.Windows.RoutedEventArgs(Button.ClickEvent))
        End If
    End Sub

End Class
